10

I cannot play H.265/HEVC videos. While trying to play video I get an error "Audience needs video/x-unknown decoder to play this file". Here's a screenshot of an error.

error image

If I click on install video decoder, again it gives me an error "plugin not found". How can solve this problem?

8

There is a PPA for libde265 GStreamer integration.

sudo apt-add-repository ppa:strukturag/libde265
sudo apt-get update

New install the plugin:

sudo apt-get install gstreamer0.10-libde265 gstreamer1.0-libde265

After installation of the plugin, all players using the GStreamer framework (this includes the default player “Videos”) will be able to playback HEVC/H.265 content.

There is also a VLC plugin available:

sudo apt-add-repository ppa:strukturag/libde265
sudo apt-get install vlc-plugin-libde265

Source: GStreamer plugin for 4K H.265/HEVC video streaming

  • I'd like to install vlc plugin. I have added the suggested repo, but after sudo apt-get install vlc-plugin-libde265 get E: Unable to locate package vlc-plugin-libde265 error. What could be the problem? (I'm on elementary OS 5, VLC 3.071) – a-tokarev Aug 19 at 13:25

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.